Class: Aws::APIGateway::Client
- Inherits:
-
Seahorse::Client::Base
- Object
- Seahorse::Client::Base
- Aws::APIGateway::Client
- Includes:
- ClientStubs
- Defined in:
- gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb
Overview
An API client for APIGateway. To construct a client, you need to configure a :region and :credentials.
client = Aws::APIGateway::Client.new(
region: region_name,
credentials: credentials,
# ...
)
For details on configuring region and credentials see the developer guide.
See #initialize for a full list of supported configuration options.
Instance Attribute Summary
Attributes inherited from Seahorse::Client::Base
API Operations collapse
-
#create_api_key(params = {}) ⇒ Types::ApiKey
Create an ApiKey resource.
-
#create_authorizer(params = {}) ⇒ Types::Authorizer
Adds a new Authorizer resource to an existing RestApi resource.
-
#create_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Creates a new BasePathMapping resource.
-
#create_deployment(params = {}) ⇒ Types::Deployment
Creates a Deployment resource, which makes a specified RestApi callable over the internet.
-
#create_documentation_part(params = {}) ⇒ Types::DocumentationPart
Creates a documentation part.
-
#create_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Creates a documentation version.
-
#create_domain_name(params = {}) ⇒ Types::DomainName
Creates a new domain name.
-
#create_domain_name_access_association(params = {}) ⇒ Types::DomainNameAccessAssociation
Creates a domain name access association resource between an access association source and a private custom domain name.
-
#create_model(params = {}) ⇒ Types::Model
Adds a new Model resource to an existing RestApi resource.
-
#create_request_validator(params = {}) ⇒ Types::RequestValidator
Creates a RequestValidator of a given RestApi.
-
#create_resource(params = {}) ⇒ Types::Resource
Creates a Resource resource.
-
#create_rest_api(params = {}) ⇒ Types::RestApi
Creates a new RestApi resource.
-
#create_stage(params = {}) ⇒ Types::Stage
Creates a new Stage resource that references a pre-existing Deployment for the API.
-
#create_usage_plan(params = {}) ⇒ Types::UsagePlan
Creates a usage plan with the throttle and quota limits, as well as the associated API stages, specified in the payload.
-
#create_usage_plan_key(params = {}) ⇒ Types::UsagePlanKey
Creates a usage plan key for adding an existing API key to a usage plan.
-
#create_vpc_link(params = {}) ⇒ Types::VpcLink
Creates a VPC link, under the caller's account in a selected region, in an asynchronous operation that typically takes 2-4 minutes to complete and become operational.
-
#delete_api_key(params = {}) ⇒ Struct
Deletes the ApiKey resource.
-
#delete_authorizer(params = {}) ⇒ Struct
Deletes an existing Authorizer resource.
-
#delete_base_path_mapping(params = {}) ⇒ Struct
Deletes the BasePathMapping resource.
-
#delete_client_certificate(params = {}) ⇒ Struct
Deletes the ClientCertificate resource.
-
#delete_deployment(params = {}) ⇒ Struct
Deletes a Deployment resource.
-
#delete_documentation_part(params = {}) ⇒ Struct
Deletes a documentation part.
-
#delete_documentation_version(params = {}) ⇒ Struct
Deletes a documentation version.
-
#delete_domain_name(params = {}) ⇒ Struct
Deletes the DomainName resource.
-
#delete_domain_name_access_association(params = {}) ⇒ Struct
Deletes the DomainNameAccessAssociation resource.
-
#delete_gateway_response(params = {}) ⇒ Struct
Clears any customization of a GatewayResponse of a specified response type on the given RestApi and resets it with the default settings.
-
#delete_integration(params = {}) ⇒ Struct
Represents a delete integration.
-
#delete_integration_response(params = {}) ⇒ Struct
Represents a delete integration response.
-
#delete_method(params = {}) ⇒ Struct
Deletes an existing Method resource.
-
#delete_method_response(params = {}) ⇒ Struct
Deletes an existing MethodResponse resource.
-
#delete_model(params = {}) ⇒ Struct
Deletes a model.
-
#delete_request_validator(params = {}) ⇒ Struct
Deletes a RequestValidator of a given RestApi.
-
#delete_resource(params = {}) ⇒ Struct
Deletes a Resource resource.
-
#delete_rest_api(params = {}) ⇒ Struct
Deletes the specified API.
-
#delete_stage(params = {}) ⇒ Struct
Deletes a Stage resource.
-
#delete_usage_plan(params = {}) ⇒ Struct
Deletes a usage plan of a given plan Id.
-
#delete_usage_plan_key(params = {}) ⇒ Struct
Deletes a usage plan key and remove the underlying API key from the associated usage plan.
-
#delete_vpc_link(params = {}) ⇒ Struct
Deletes an existing VpcLink of a specified identifier.
-
#flush_stage_authorizers_cache(params = {}) ⇒ Struct
Flushes all authorizer cache entries on a stage.
-
#flush_stage_cache(params = {}) ⇒ Struct
Flushes a stage's cache.
-
#generate_client_certificate(params = {}) ⇒ Types::ClientCertificate
Generates a ClientCertificate resource.
-
#get_account(params = {}) ⇒ Types::Account
Gets information about the current Account resource.
-
#get_api_key(params = {}) ⇒ Types::ApiKey
Gets information about the current ApiKey resource.
-
#get_api_keys(params = {}) ⇒ Types::ApiKeys
Gets information about the current ApiKeys resource.
-
#get_authorizer(params = {}) ⇒ Types::Authorizer
Describe an existing Authorizer resource.
-
#get_authorizers(params = {}) ⇒ Types::Authorizers
Describe an existing Authorizers resource.
-
#get_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Describe a BasePathMapping resource.
-
#get_base_path_mappings(params = {}) ⇒ Types::BasePathMappings
Represents a collection of BasePathMapping resources.
-
#get_client_certificate(params = {}) ⇒ Types::ClientCertificate
Gets information about the current ClientCertificate resource.
-
#get_client_certificates(params = {}) ⇒ Types::ClientCertificates
Gets a collection of ClientCertificate resources.
-
#get_deployment(params = {}) ⇒ Types::Deployment
Gets information about a Deployment resource.
-
#get_deployments(params = {}) ⇒ Types::Deployments
Gets information about a Deployments collection.
-
#get_documentation_part(params = {}) ⇒ Types::DocumentationPart
Gets a documentation part.
-
#get_documentation_parts(params = {}) ⇒ Types::DocumentationParts
Gets documentation parts.
-
#get_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Gets a documentation version.
-
#get_documentation_versions(params = {}) ⇒ Types::DocumentationVersions
Gets documentation versions.
-
#get_domain_name(params = {}) ⇒ Types::DomainName
Represents a domain name that is contained in a simpler, more intuitive URL that can be called.
-
#get_domain_name_access_associations(params = {}) ⇒ Types::DomainNameAccessAssociations
Represents a collection on DomainNameAccessAssociations resources.
-
#get_domain_names(params = {}) ⇒ Types::DomainNames
Represents a collection of DomainName resources.
-
#get_export(params = {}) ⇒ Types::ExportResponse
Exports a deployed version of a RestApi in a specified format.
-
#get_gateway_response(params = {}) ⇒ Types::GatewayResponse
Gets a GatewayResponse of a specified response type on the given RestApi.
-
#get_gateway_responses(params = {}) ⇒ Types::GatewayResponses
Gets the GatewayResponses collection on the given RestApi.
-
#get_integration(params = {}) ⇒ Types::Integration
Get the integration settings.
-
#get_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents a get integration response.
-
#get_method(params = {}) ⇒ Types::Method
Describe an existing Method resource.
-
#get_method_response(params = {}) ⇒ Types::MethodResponse
Describes a MethodResponse resource.
-
#get_model(params = {}) ⇒ Types::Model
Describes an existing model defined for a RestApi resource.
-
#get_model_template(params = {}) ⇒ Types::Template
Generates a sample mapping template that can be used to transform a payload into the structure of a model.
-
#get_models(params = {}) ⇒ Types::Models
Describes existing Models defined for a RestApi resource.
-
#get_request_validator(params = {}) ⇒ Types::RequestValidator
Gets a RequestValidator of a given RestApi.
-
#get_request_validators(params = {}) ⇒ Types::RequestValidators
Gets the RequestValidators collection of a given RestApi.
-
#get_resource(params = {}) ⇒ Types::Resource
Lists information about a resource.
-
#get_resources(params = {}) ⇒ Types::Resources
Lists information about a collection of Resource resources.
-
#get_rest_api(params = {}) ⇒ Types::RestApi
Lists the RestApi resource in the collection.
-
#get_rest_apis(params = {}) ⇒ Types::RestApis
Lists the RestApis resources for your collection.
-
#get_sdk(params = {}) ⇒ Types::SdkResponse
Generates a client SDK for a RestApi and Stage.
-
#get_sdk_type(params = {}) ⇒ Types::SdkType
Gets an SDK type.
-
#get_sdk_types(params = {}) ⇒ Types::SdkTypes
Gets SDK types.
-
#get_stage(params = {}) ⇒ Types::Stage
Gets information about a Stage resource.
-
#get_stages(params = {}) ⇒ Types::Stages
Gets information about one or more Stage resources.
-
#get_tags(params = {}) ⇒ Types::Tags
Gets the Tags collection for a given resource.
-
#get_usage(params = {}) ⇒ Types::Usage
Gets the usage data of a usage plan in a specified time interval.
-
#get_usage_plan(params = {}) ⇒ Types::UsagePlan
Gets a usage plan of a given plan identifier.
-
#get_usage_plan_key(params = {}) ⇒ Types::UsagePlanKey
Gets a usage plan key of a given key identifier.
-
#get_usage_plan_keys(params = {}) ⇒ Types::UsagePlanKeys
Gets all the usage plan keys representing the API keys added to a specified usage plan.
-
#get_usage_plans(params = {}) ⇒ Types::UsagePlans
Gets all the usage plans of the caller's account.
-
#get_vpc_link(params = {}) ⇒ Types::VpcLink
Gets a specified VPC link under the caller's account in a region.
-
#get_vpc_links(params = {}) ⇒ Types::VpcLinks
Gets the VpcLinks collection under the caller's account in a selected region.
-
#import_api_keys(params = {}) ⇒ Types::ApiKeyIds
Import API keys from an external source, such as a CSV-formatted file.
-
#import_documentation_parts(params = {}) ⇒ Types::DocumentationPartIds
Imports documentation parts.
-
#import_rest_api(params = {}) ⇒ Types::RestApi
A feature of the API Gateway control service for creating a new API from an external API definition file.
-
#put_gateway_response(params = {}) ⇒ Types::GatewayResponse
Creates a customization of a GatewayResponse of a specified response type and status code on the given RestApi.
-
#put_integration(params = {}) ⇒ Types::Integration
Sets up a method's integration.
-
#put_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents a put integration.
-
#put_method(params = {}) ⇒ Types::Method
Add a method to an existing Resource resource.
-
#put_method_response(params = {}) ⇒ Types::MethodResponse
Adds a MethodResponse to an existing Method resource.
-
#put_rest_api(params = {}) ⇒ Types::RestApi
A feature of the API Gateway control service for updating an existing API with an input of external API definitions.
-
#reject_domain_name_access_association(params = {}) ⇒ Struct
Rejects a domain name access association with a private custom domain name.
-
#tag_resource(params = {}) ⇒ Struct
Adds or updates a tag on a given resource.
-
#test_invoke_authorizer(params = {}) ⇒ Types::TestInvokeAuthorizerResponse
Simulate the execution of an Authorizer in your RestApi with headers, parameters, and an incoming request body.
-
#test_invoke_method(params = {}) ⇒ Types::TestInvokeMethodResponse
Simulate the invocation of a Method in your RestApi with headers, parameters, and an incoming request body.
-
#untag_resource(params = {}) ⇒ Struct
Removes a tag from a given resource.
-
#update_account(params = {}) ⇒ Types::Account
Changes information about the current Account resource.
-
#update_api_key(params = {}) ⇒ Types::ApiKey
Changes information about an ApiKey resource.
-
#update_authorizer(params = {}) ⇒ Types::Authorizer
Updates an existing Authorizer resource.
-
#update_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Changes information about the BasePathMapping resource.
-
#update_client_certificate(params = {}) ⇒ Types::ClientCertificate
Changes information about an ClientCertificate resource.
-
#update_deployment(params = {}) ⇒ Types::Deployment
Changes information about a Deployment resource.
-
#update_documentation_part(params = {}) ⇒ Types::DocumentationPart
Updates a documentation part.
-
#update_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Updates a documentation version.
-
#update_domain_name(params = {}) ⇒ Types::DomainName
Changes information about the DomainName resource.
-
#update_gateway_response(params = {}) ⇒ Types::GatewayResponse
Updates a GatewayResponse of a specified response type on the given RestApi.
-
#update_integration(params = {}) ⇒ Types::Integration
Represents an update integration.
-
#update_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents an update integration response.
-
#update_method(params = {}) ⇒ Types::Method
Updates an existing Method resource.
-
#update_method_response(params = {}) ⇒ Types::MethodResponse
Updates an existing MethodResponse resource.
-
#update_model(params = {}) ⇒ Types::Model
Changes information about a model.
-
#update_request_validator(params = {}) ⇒ Types::RequestValidator
Updates a RequestValidator of a given RestApi.
-
#update_resource(params = {}) ⇒ Types::Resource
Changes information about a Resource resource.
-
#update_rest_api(params = {}) ⇒ Types::RestApi
Changes information about the specified API.
-
#update_stage(params = {}) ⇒ Types::Stage
Changes information about a Stage resource.
-
#update_usage(params = {}) ⇒ Types::Usage
Grants a temporary extension to the remaining quota of a usage plan associated with a specified API key.
-
#update_usage_plan(params = {}) ⇒ Types::UsagePlan
Updates a usage plan of a given plan Id.
-
#update_vpc_link(params = {}) ⇒ Types::VpcLink
Updates an existing VpcLink of a specified identifier.
Instance Method Summary collapse
-
#initialize(options) ⇒ Client
constructor
A new instance of Client.
Methods included from ClientStubs
#api_requests, #stub_data, #stub_responses
Methods inherited from Seahorse::Client::Base
add_plugin, api, clear_plugins, define, new, #operation_names, plugins, remove_plugin, set_api, set_plugins
Methods included from Seahorse::Client::HandlerBuilder
#handle, #handle_request, #handle_response
Constructor Details
#initialize(options) ⇒ Client
Returns a new instance of Client.
481 482 483 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 481 def initialize(*args) super end |
Instance Method Details
#create_api_key(params = {}) ⇒ Types::ApiKey
Create an ApiKey resource.
569 570 571 572 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 569 def create_api_key(params = {}, = {}) req = build_request(:create_api_key, params) req.send_request() end |
#create_authorizer(params = {}) ⇒ Types::Authorizer
Adds a new Authorizer resource to an existing RestApi resource.
699 700 701 702 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 699 def (params = {}, = {}) req = build_request(:create_authorizer, params) req.send_request() end |
#create_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Creates a new BasePathMapping resource.
751 752 753 754 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 751 def create_base_path_mapping(params = {}, = {}) req = build_request(:create_base_path_mapping, params) req.send_request() end |
#create_deployment(params = {}) ⇒ Types::Deployment
Creates a Deployment resource, which makes a specified RestApi callable over the internet.
837 838 839 840 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 837 def create_deployment(params = {}, = {}) req = build_request(:create_deployment, params) req.send_request() end |
#create_documentation_part(params = {}) ⇒ Types::DocumentationPart
Creates a documentation part.
888 889 890 891 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 888 def create_documentation_part(params = {}, = {}) req = build_request(:create_documentation_part, params) req.send_request() end |
#create_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Creates a documentation version
930 931 932 933 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 930 def create_documentation_version(params = {}, = {}) req = build_request(:create_documentation_version, params) req.send_request() end |
#create_domain_name(params = {}) ⇒ Types::DomainName
Creates a new domain name.
1108 1109 1110 1111 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1108 def create_domain_name(params = {}, = {}) req = build_request(:create_domain_name, params) req.send_request() end |
#create_domain_name_access_association(params = {}) ⇒ Types::DomainNameAccessAssociation
Creates a domain name access association resource between an access association source and a private custom domain name.
1161 1162 1163 1164 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1161 def create_domain_name_access_association(params = {}, = {}) req = build_request(:create_domain_name_access_association, params) req.send_request() end |
#create_model(params = {}) ⇒ Types::Model
Adds a new Model resource to an existing RestApi resource.
1212 1213 1214 1215 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1212 def create_model(params = {}, = {}) req = build_request(:create_model, params) req.send_request() end |
#create_request_validator(params = {}) ⇒ Types::RequestValidator
Creates a RequestValidator of a given RestApi.
1259 1260 1261 1262 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1259 def create_request_validator(params = {}, = {}) req = build_request(:create_request_validator, params) req.send_request() end |
#create_resource(params = {}) ⇒ Types::Resource
Creates a Resource resource.
1346 1347 1348 1349 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1346 def create_resource(params = {}, = {}) req = build_request(:create_resource, params) req.send_request() end |
#create_rest_api(params = {}) ⇒ Types::RestApi
Creates a new RestApi resource.
1486 1487 1488 1489 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1486 def create_rest_api(params = {}, = {}) req = build_request(:create_rest_api, params) req.send_request() end |
#create_stage(params = {}) ⇒ Types::Stage
Creates a new Stage resource that references a pre-existing Deployment for the API.
1624 1625 1626 1627 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1624 def create_stage(params = {}, = {}) req = build_request(:create_stage, params) req.send_request() end |
#create_usage_plan(params = {}) ⇒ Types::UsagePlan
Creates a usage plan with the throttle and quota limits, as well as the associated API stages, specified in the payload.
1716 1717 1718 1719 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1716 def create_usage_plan(params = {}, = {}) req = build_request(:create_usage_plan, params) req.send_request() end |
#create_usage_plan_key(params = {}) ⇒ Types::UsagePlanKey
Creates a usage plan key for adding an existing API key to a usage plan.
1759 1760 1761 1762 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1759 def create_usage_plan_key(params = {}, = {}) req = build_request(:create_usage_plan_key, params) req.send_request() end |
#create_vpc_link(params = {}) ⇒ Types::VpcLink
Creates a VPC link, under the caller's account in a selected region, in an asynchronous operation that typically takes 2-4 minutes to complete and become operational. The caller must have permissions to create and update VPC Endpoint services.
1820 1821 1822 1823 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1820 def create_vpc_link(params = {}, = {}) req = build_request(:create_vpc_link, params) req.send_request() end |
#delete_api_key(params = {}) ⇒ Struct
Deletes the ApiKey resource.
1840 1841 1842 1843 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1840 def delete_api_key(params = {}, = {}) req = build_request(:delete_api_key, params) req.send_request() end |
#delete_authorizer(params = {}) ⇒ Struct
Deletes an existing Authorizer resource.
1864 1865 1866 1867 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1864 def (params = {}, = {}) req = build_request(:delete_authorizer, params) req.send_request() end |
#delete_base_path_mapping(params = {}) ⇒ Struct
Deletes the BasePathMapping resource.
1895 1896 1897 1898 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1895 def delete_base_path_mapping(params = {}, = {}) req = build_request(:delete_base_path_mapping, params) req.send_request() end |
#delete_client_certificate(params = {}) ⇒ Struct
Deletes the ClientCertificate resource.
1915 1916 1917 1918 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1915 def delete_client_certificate(params = {}, = {}) req = build_request(:delete_client_certificate, params) req.send_request() end |
#delete_deployment(params = {}) ⇒ Struct
Deletes a Deployment resource. Deleting a deployment will only succeed if there are no Stage resources associated with it.
1940 1941 1942 1943 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1940 def delete_deployment(params = {}, = {}) req = build_request(:delete_deployment, params) req.send_request() end |
#delete_documentation_part(params = {}) ⇒ Struct
Deletes a documentation part
1964 1965 1966 1967 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1964 def delete_documentation_part(params = {}, = {}) req = build_request(:delete_documentation_part, params) req.send_request() end |
#delete_documentation_version(params = {}) ⇒ Struct
Deletes a documentation version.
1988 1989 1990 1991 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 1988 def delete_documentation_version(params = {}, = {}) req = build_request(:delete_documentation_version, params) req.send_request() end |
#delete_domain_name(params = {}) ⇒ Struct
Deletes the DomainName resource.
2013 2014 2015 2016 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2013 def delete_domain_name(params = {}, = {}) req = build_request(:delete_domain_name, params) req.send_request() end |
#delete_domain_name_access_association(params = {}) ⇒ Struct
Deletes the DomainNameAccessAssociation resource.
Only the AWS account that created the DomainNameAccessAssociation resource can delete it. To stop an access association source in another AWS account from accessing your private custom domain name, use the RejectDomainNameAccessAssociation operation.
2038 2039 2040 2041 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2038 def delete_domain_name_access_association(params = {}, = {}) req = build_request(:delete_domain_name_access_association, params) req.send_request() end |
#delete_gateway_response(params = {}) ⇒ Struct
Clears any customization of a GatewayResponse of a specified response type on the given RestApi and resets it with the default settings.
2063 2064 2065 2066 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2063 def delete_gateway_response(params = {}, = {}) req = build_request(:delete_gateway_response, params) req.send_request() end |
#delete_integration(params = {}) ⇒ Struct
Represents a delete integration.
2091 2092 2093 2094 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2091 def delete_integration(params = {}, = {}) req = build_request(:delete_integration, params) req.send_request() end |
#delete_integration_response(params = {}) ⇒ Struct
Represents a delete integration response.
2124 2125 2126 2127 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2124 def delete_integration_response(params = {}, = {}) req = build_request(:delete_integration_response, params) req.send_request() end |
#delete_method(params = {}) ⇒ Struct
Deletes an existing Method resource.
2152 2153 2154 2155 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2152 def delete_method(params = {}, = {}) req = build_request(:delete_method, params) req.send_request() end |
#delete_method_response(params = {}) ⇒ Struct
Deletes an existing MethodResponse resource.
2184 2185 2186 2187 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2184 def delete_method_response(params = {}, = {}) req = build_request(:delete_method_response, params) req.send_request() end |
#delete_model(params = {}) ⇒ Struct
Deletes a model.
2208 2209 2210 2211 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2208 def delete_model(params = {}, = {}) req = build_request(:delete_model, params) req.send_request() end |
#delete_request_validator(params = {}) ⇒ Struct
Deletes a RequestValidator of a given RestApi.
2232 2233 2234 2235 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2232 def delete_request_validator(params = {}, = {}) req = build_request(:delete_request_validator, params) req.send_request() end |
#delete_resource(params = {}) ⇒ Struct
Deletes a Resource resource.
2256 2257 2258 2259 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2256 def delete_resource(params = {}, = {}) req = build_request(:delete_resource, params) req.send_request() end |
#delete_rest_api(params = {}) ⇒ Struct
Deletes the specified API.
2276 2277 2278 2279 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2276 def delete_rest_api(params = {}, = {}) req = build_request(:delete_rest_api, params) req.send_request() end |
#delete_stage(params = {}) ⇒ Struct
Deletes a Stage resource.
2300 2301 2302 2303 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2300 def delete_stage(params = {}, = {}) req = build_request(:delete_stage, params) req.send_request() end |
#delete_usage_plan(params = {}) ⇒ Struct
Deletes a usage plan of a given plan Id.
2320 2321 2322 2323 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2320 def delete_usage_plan(params = {}, = {}) req = build_request(:delete_usage_plan, params) req.send_request() end |
#delete_usage_plan_key(params = {}) ⇒ Struct
Deletes a usage plan key and remove the underlying API key from the associated usage plan.
2347 2348 2349 2350 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2347 def delete_usage_plan_key(params = {}, = {}) req = build_request(:delete_usage_plan_key, params) req.send_request() end |
#delete_vpc_link(params = {}) ⇒ Struct
Deletes an existing VpcLink of a specified identifier.
2368 2369 2370 2371 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2368 def delete_vpc_link(params = {}, = {}) req = build_request(:delete_vpc_link, params) req.send_request() end |
#flush_stage_authorizers_cache(params = {}) ⇒ Struct
Flushes all authorizer cache entries on a stage.
2392 2393 2394 2395 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2392 def (params = {}, = {}) req = build_request(:flush_stage_authorizers_cache, params) req.send_request() end |
#flush_stage_cache(params = {}) ⇒ Struct
Flushes a stage's cache.
2416 2417 2418 2419 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2416 def flush_stage_cache(params = {}, = {}) req = build_request(:flush_stage_cache, params) req.send_request() end |
#generate_client_certificate(params = {}) ⇒ Types::ClientCertificate
Generates a ClientCertificate resource.
2461 2462 2463 2464 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2461 def generate_client_certificate(params = {}, = {}) req = build_request(:generate_client_certificate, params) req.send_request() end |
#get_account(params = {}) ⇒ Types::Account
Gets information about the current Account resource.
2486 2487 2488 2489 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2486 def get_account(params = {}, = {}) req = build_request(:get_account, params) req.send_request() end |
#get_api_key(params = {}) ⇒ Types::ApiKey
Gets information about the current ApiKey resource.
2537 2538 2539 2540 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2537 def get_api_key(params = {}, = {}) req = build_request(:get_api_key, params) req.send_request() end |
#get_api_keys(params = {}) ⇒ Types::ApiKeys
Gets information about the current ApiKeys resource.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
2601 2602 2603 2604 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2601 def get_api_keys(params = {}, = {}) req = build_request(:get_api_keys, params) req.send_request() end |
#get_authorizer(params = {}) ⇒ Types::Authorizer
Describe an existing Authorizer resource.
2650 2651 2652 2653 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2650 def (params = {}, = {}) req = build_request(:get_authorizer, params) req.send_request() end |
#get_authorizers(params = {}) ⇒ Types::Authorizers
Describe an existing Authorizers resource.
2698 2699 2700 2701 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2698 def (params = {}, = {}) req = build_request(:get_authorizers, params) req.send_request() end |
#get_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Describe a BasePathMapping resource.
2740 2741 2742 2743 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2740 def get_base_path_mapping(params = {}, = {}) req = build_request(:get_base_path_mapping, params) req.send_request() end |
#get_base_path_mappings(params = {}) ⇒ Types::BasePathMappings
Represents a collection of BasePathMapping resources.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
2787 2788 2789 2790 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2787 def get_base_path_mappings(params = {}, = {}) req = build_request(:get_base_path_mappings, params) req.send_request() end |
#get_client_certificate(params = {}) ⇒ Types::ClientCertificate
Gets information about the current ClientCertificate resource.
2824 2825 2826 2827 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2824 def get_client_certificate(params = {}, = {}) req = build_request(:get_client_certificate, params) req.send_request() end |
#get_client_certificates(params = {}) ⇒ Types::ClientCertificates
Gets a collection of ClientCertificate resources.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
2866 2867 2868 2869 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2866 def get_client_certificates(params = {}, = {}) req = build_request(:get_client_certificates, params) req.send_request() end |
#get_deployment(params = {}) ⇒ Types::Deployment
Gets information about a Deployment resource.
2919 2920 2921 2922 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2919 def get_deployment(params = {}, = {}) req = build_request(:get_deployment, params) req.send_request() end |
#get_deployments(params = {}) ⇒ Types::Deployments
Gets information about a Deployments collection.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
2965 2966 2967 2968 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 2965 def get_deployments(params = {}, = {}) req = build_request(:get_deployments, params) req.send_request() end |
#get_documentation_part(params = {}) ⇒ Types::DocumentationPart
Gets a documentation part.
3003 3004 3005 3006 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3003 def get_documentation_part(params = {}, = {}) req = build_request(:get_documentation_part, params) req.send_request() end |
#get_documentation_parts(params = {}) ⇒ Types::DocumentationParts
Gets documentation parts.
3066 3067 3068 3069 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3066 def get_documentation_parts(params = {}, = {}) req = build_request(:get_documentation_parts, params) req.send_request() end |
#get_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Gets a documentation version.
3100 3101 3102 3103 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3100 def get_documentation_version(params = {}, = {}) req = build_request(:get_documentation_version, params) req.send_request() end |
#get_documentation_versions(params = {}) ⇒ Types::DocumentationVersions
Gets documentation versions.
3140 3141 3142 3143 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3140 def get_documentation_versions(params = {}, = {}) req = build_request(:get_documentation_versions, params) req.send_request() end |
#get_domain_name(params = {}) ⇒ Types::DomainName
Represents a domain name that is contained in a simpler, more intuitive URL that can be called.
3224 3225 3226 3227 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3224 def get_domain_name(params = {}, = {}) req = build_request(:get_domain_name, params) req.send_request() end |
#get_domain_name_access_associations(params = {}) ⇒ Types::DomainNameAccessAssociations
Represents a collection on DomainNameAccessAssociations resources.
3270 3271 3272 3273 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3270 def get_domain_name_access_associations(params = {}, = {}) req = build_request(:get_domain_name_access_associations, params) req.send_request() end |
#get_domain_names(params = {}) ⇒ Types::DomainNames
Represents a collection of DomainName resources.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
3340 3341 3342 3343 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3340 def get_domain_names(params = {}, = {}) req = build_request(:get_domain_names, params) req.send_request() end |
#get_export(params = {}) ⇒ Types::ExportResponse
Exports a deployed version of a RestApi in a specified format.
3399 3400 3401 3402 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3399 def get_export(params = {}, = {}) req = build_request(:get_export, params) req.send_request() end |
#get_gateway_response(params = {}) ⇒ Types::GatewayResponse
Gets a GatewayResponse of a specified response type on the given RestApi.
3440 3441 3442 3443 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3440 def get_gateway_response(params = {}, = {}) req = build_request(:get_gateway_response, params) req.send_request() end |
#get_gateway_responses(params = {}) ⇒ Types::GatewayResponses
Gets the GatewayResponses collection on the given RestApi. If an API developer has not added any definitions for gateway responses, the result will be the API Gateway-generated default GatewayResponses collection for the supported response types.
3490 3491 3492 3493 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3490 def get_gateway_responses(params = {}, = {}) req = build_request(:get_gateway_responses, params) req.send_request() end |
#get_integration(params = {}) ⇒ Types::Integration
Get the integration settings.
3566 3567 3568 3569 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3566 def get_integration(params = {}, = {}) req = build_request(:get_integration, params) req.send_request() end |
#get_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents a get integration response.
3614 3615 3616 3617 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3614 def get_integration_response(params = {}, = {}) req = build_request(:get_integration_response, params) req.send_request() end |
#get_method(params = {}) ⇒ Types::Method
Describe an existing Method resource.
3702 3703 3704 3705 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3702 def get_method(params = {}, = {}) req = build_request(:get_method, params) req.send_request() end |
#get_method_response(params = {}) ⇒ Types::MethodResponse
Describes a MethodResponse resource.
3746 3747 3748 3749 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3746 def get_method_response(params = {}, = {}) req = build_request(:get_method_response, params) req.send_request() end |
#get_model(params = {}) ⇒ Types::Model
Describes an existing model defined for a RestApi resource.
3790 3791 3792 3793 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3790 def get_model(params = {}, = {}) req = build_request(:get_model, params) req.send_request() end |
#get_model_template(params = {}) ⇒ Types::Template
Generates a sample mapping template that can be used to transform a payload into the structure of a model.
3821 3822 3823 3824 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3821 def get_model_template(params = {}, = {}) req = build_request(:get_model_template, params) req.send_request() end |
#get_models(params = {}) ⇒ Types::Models
Describes existing Models defined for a RestApi resource.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
3865 3866 3867 3868 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3865 def get_models(params = {}, = {}) req = build_request(:get_models, params) req.send_request() end |
#get_request_validator(params = {}) ⇒ Types::RequestValidator
Gets a RequestValidator of a given RestApi.
3901 3902 3903 3904 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3901 def get_request_validator(params = {}, = {}) req = build_request(:get_request_validator, params) req.send_request() end |
#get_request_validators(params = {}) ⇒ Types::RequestValidators
Gets the RequestValidators collection of a given RestApi.
3942 3943 3944 3945 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 3942 def get_request_validators(params = {}, = {}) req = build_request(:get_request_validators, params) req.send_request() end |
#get_resource(params = {}) ⇒ Types::Resource
Lists information about a resource.
4035 4036 4037 4038 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4035 def get_resource(params = {}, = {}) req = build_request(:get_resource, params) req.send_request() end |
#get_resources(params = {}) ⇒ Types::Resources
Lists information about a collection of Resource resources.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4134 4135 4136 4137 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4134 def get_resources(params = {}, = {}) req = build_request(:get_resources, params) req.send_request() end |
#get_rest_api(params = {}) ⇒ Types::RestApi
Lists the RestApi resource in the collection.
4201 4202 4203 4204 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4201 def get_rest_api(params = {}, = {}) req = build_request(:get_rest_api, params) req.send_request() end |
#get_rest_apis(params = {}) ⇒ Types::RestApis
Lists the RestApis resources for your collection.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4261 4262 4263 4264 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4261 def get_rest_apis(params = {}, = {}) req = build_request(:get_rest_apis, params) req.send_request() end |
#get_sdk(params = {}) ⇒ Types::SdkResponse
Generates a client SDK for a RestApi and Stage.
4313 4314 4315 4316 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4313 def get_sdk(params = {}, = {}) req = build_request(:get_sdk, params) req.send_request() end |
#get_sdk_type(params = {}) ⇒ Types::SdkType
Gets an SDK type.
4350 4351 4352 4353 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4350 def get_sdk_type(params = {}, = {}) req = build_request(:get_sdk_type, params) req.send_request() end |
#get_sdk_types(params = {}) ⇒ Types::SdkTypes
Gets SDK types
4392 4393 4394 4395 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4392 def get_sdk_types(params = {}, = {}) req = build_request(:get_sdk_types, params) req.send_request() end |
#get_stage(params = {}) ⇒ Types::Stage
Gets information about a Stage resource.
4471 4472 4473 4474 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4471 def get_stage(params = {}, = {}) req = build_request(:get_stage, params) req.send_request() end |
#get_stages(params = {}) ⇒ Types::Stages
Gets information about one or more Stage resources.
4535 4536 4537 4538 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4535 def get_stages(params = {}, = {}) req = build_request(:get_stages, params) req.send_request() end |
#get_tags(params = {}) ⇒ Types::Tags
Gets the Tags collection for a given resource.
4572 4573 4574 4575 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4572 def (params = {}, = {}) req = build_request(:get_tags, params) req.send_request() end |
#get_usage(params = {}) ⇒ Types::Usage
Gets the usage data of a usage plan in a specified time interval.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4632 4633 4634 4635 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4632 def get_usage(params = {}, = {}) req = build_request(:get_usage, params) req.send_request() end |
#get_usage_plan(params = {}) ⇒ Types::UsagePlan
Gets a usage plan of a given plan identifier.
4681 4682 4683 4684 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4681 def get_usage_plan(params = {}, = {}) req = build_request(:get_usage_plan, params) req.send_request() end |
#get_usage_plan_key(params = {}) ⇒ Types::UsagePlanKey
Gets a usage plan key of a given key identifier.
4720 4721 4722 4723 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4720 def get_usage_plan_key(params = {}, = {}) req = build_request(:get_usage_plan_key, params) req.send_request() end |
#get_usage_plan_keys(params = {}) ⇒ Types::UsagePlanKeys
Gets all the usage plan keys representing the API keys added to a specified usage plan.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4771 4772 4773 4774 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4771 def get_usage_plan_keys(params = {}, = {}) req = build_request(:get_usage_plan_keys, params) req.send_request() end |
#get_usage_plans(params = {}) ⇒ Types::UsagePlans
Gets all the usage plans of the caller's account.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4827 4828 4829 4830 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4827 def get_usage_plans(params = {}, = {}) req = build_request(:get_usage_plans, params) req.send_request() end |
#get_vpc_link(params = {}) ⇒ Types::VpcLink
Gets a specified VPC link under the caller's account in a region.
4868 4869 4870 4871 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4868 def get_vpc_link(params = {}, = {}) req = build_request(:get_vpc_link, params) req.send_request() end |
#get_vpc_links(params = {}) ⇒ Types::VpcLinks
Gets the VpcLinks collection under the caller's account in a selected region.
The returned response is a pageable response and is Enumerable. For details on usage see PageableResponse.
4913 4914 4915 4916 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4913 def get_vpc_links(params = {}, = {}) req = build_request(:get_vpc_links, params) req.send_request() end |
#import_api_keys(params = {}) ⇒ Types::ApiKeyIds
Import API keys from an external source, such as a CSV-formatted file.
4954 4955 4956 4957 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 4954 def import_api_keys(params = {}, = {}) req = build_request(:import_api_keys, params) req.send_request() end |
#import_documentation_parts(params = {}) ⇒ Types::DocumentationPartIds
Imports documentation parts
5001 5002 5003 5004 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5001 def import_documentation_parts(params = {}, = {}) req = build_request(:import_documentation_parts, params) req.send_request() end |
#import_rest_api(params = {}) ⇒ Types::RestApi
A feature of the API Gateway control service for creating a new API from an external API definition file.
5097 5098 5099 5100 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5097 def import_rest_api(params = {}, = {}) req = build_request(:import_rest_api, params) req.send_request() end |
#put_gateway_response(params = {}) ⇒ Types::GatewayResponse
Creates a customization of a GatewayResponse of a specified response type and status code on the given RestApi.
5156 5157 5158 5159 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5156 def put_gateway_response(params = {}, = {}) req = build_request(:put_gateway_response, params) req.send_request() end |
#put_integration(params = {}) ⇒ Types::Integration
Sets up a method's integration.
5356 5357 5358 5359 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5356 def put_integration(params = {}, = {}) req = build_request(:put_integration, params) req.send_request() end |
#put_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents a put integration.
5441 5442 5443 5444 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5441 def put_integration_response(params = {}, = {}) req = build_request(:put_integration_response, params) req.send_request() end |
#put_method(params = {}) ⇒ Types::Method
Add a method to an existing Resource resource.
5591 5592 5593 5594 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5591 def put_method(params = {}, = {}) req = build_request(:put_method, params) req.send_request() end |
#put_method_response(params = {}) ⇒ Types::MethodResponse
Adds a MethodResponse to an existing Method resource.
5662 5663 5664 5665 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5662 def put_method_response(params = {}, = {}) req = build_request(:put_method_response, params) req.send_request() end |
#put_rest_api(params = {}) ⇒ Types::RestApi
A feature of the API Gateway control service for updating an existing API with an input of external API definitions. The update can take the form of merging the supplied definition into the existing API or overwriting the existing API.
5760 5761 5762 5763 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5760 def put_rest_api(params = {}, = {}) req = build_request(:put_rest_api, params) req.send_request() end |
#reject_domain_name_access_association(params = {}) ⇒ Struct
Rejects a domain name access association with a private custom domain name.
To reject a domain name access association with an access association source in another AWS account, use this operation. To remove a domain name access association with an access association source in your own account, use the DeleteDomainNameAccessAssociation operation.
5790 5791 5792 5793 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5790 def reject_domain_name_access_association(params = {}, = {}) req = build_request(:reject_domain_name_access_association, params) req.send_request() end |
#tag_resource(params = {}) ⇒ Struct
Adds or updates a tag on a given resource.
5818 5819 5820 5821 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5818 def tag_resource(params = {}, = {}) req = build_request(:tag_resource, params) req.send_request() end |
#test_invoke_authorizer(params = {}) ⇒ Types::TestInvokeAuthorizerResponse
Simulate the execution of an Authorizer in your RestApi with headers, parameters, and an incoming request body.
5903 5904 5905 5906 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5903 def (params = {}, = {}) req = build_request(:test_invoke_authorizer, params) req.send_request() end |
#test_invoke_method(params = {}) ⇒ Types::TestInvokeMethodResponse
Simulate the invocation of a Method in your RestApi with headers, parameters, and an incoming request body.
5987 5988 5989 5990 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 5987 def test_invoke_method(params = {}, = {}) req = build_request(:test_invoke_method, params) req.send_request() end |
#untag_resource(params = {}) ⇒ Struct
Removes a tag from a given resource.
6011 6012 6013 6014 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6011 def untag_resource(params = {}, = {}) req = build_request(:untag_resource, params) req.send_request() end |
#update_account(params = {}) ⇒ Types::Account
Changes information about the current Account resource.
6057 6058 6059 6060 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6057 def update_account(params = {}, = {}) req = build_request(:update_account, params) req.send_request() end |
#update_api_key(params = {}) ⇒ Types::ApiKey
Changes information about an ApiKey resource.
6119 6120 6121 6122 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6119 def update_api_key(params = {}, = {}) req = build_request(:update_api_key, params) req.send_request() end |
#update_authorizer(params = {}) ⇒ Types::Authorizer
Updates an existing Authorizer resource.
6184 6185 6186 6187 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6184 def (params = {}, = {}) req = build_request(:update_authorizer, params) req.send_request() end |
#update_base_path_mapping(params = {}) ⇒ Types::BasePathMapping
Changes information about the BasePathMapping resource.
6241 6242 6243 6244 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6241 def update_base_path_mapping(params = {}, = {}) req = build_request(:update_base_path_mapping, params) req.send_request() end |
#update_client_certificate(params = {}) ⇒ Types::ClientCertificate
Changes information about an ClientCertificate resource.
6294 6295 6296 6297 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6294 def update_client_certificate(params = {}, = {}) req = build_request(:update_client_certificate, params) req.send_request() end |
#update_deployment(params = {}) ⇒ Types::Deployment
Changes information about a Deployment resource.
6350 6351 6352 6353 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6350 def update_deployment(params = {}, = {}) req = build_request(:update_deployment, params) req.send_request() end |
#update_documentation_part(params = {}) ⇒ Types::DocumentationPart
Updates a documentation part.
6404 6405 6406 6407 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6404 def update_documentation_part(params = {}, = {}) req = build_request(:update_documentation_part, params) req.send_request() end |
#update_documentation_version(params = {}) ⇒ Types::DocumentationVersion
Updates a documentation version.
6454 6455 6456 6457 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6454 def update_documentation_version(params = {}, = {}) req = build_request(:update_documentation_version, params) req.send_request() end |
#update_domain_name(params = {}) ⇒ Types::DomainName
Changes information about the DomainName resource.
6553 6554 6555 6556 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6553 def update_domain_name(params = {}, = {}) req = build_request(:update_domain_name, params) req.send_request() end |
#update_gateway_response(params = {}) ⇒ Types::GatewayResponse
Updates a GatewayResponse of a specified response type on the given RestApi.
6610 6611 6612 6613 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6610 def update_gateway_response(params = {}, = {}) req = build_request(:update_gateway_response, params) req.send_request() end |
#update_integration(params = {}) ⇒ Types::Integration
Represents an update integration.
6702 6703 6704 6705 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6702 def update_integration(params = {}, = {}) req = build_request(:update_integration, params) req.send_request() end |
#update_integration_response(params = {}) ⇒ Types::IntegrationResponse
Represents an update integration response.
6767 6768 6769 6770 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6767 def update_integration_response(params = {}, = {}) req = build_request(:update_integration_response, params) req.send_request() end |
#update_method(params = {}) ⇒ Types::Method
Updates an existing Method resource.
6871 6872 6873 6874 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6871 def update_method(params = {}, = {}) req = build_request(:update_method, params) req.send_request() end |
#update_method_response(params = {}) ⇒ Types::MethodResponse
Updates an existing MethodResponse resource.
6931 6932 6933 6934 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6931 def update_method_response(params = {}, = {}) req = build_request(:update_method_response, params) req.send_request() end |
#update_model(params = {}) ⇒ Types::Model
Changes information about a model. The maximum size of the model is 400 KB.
6986 6987 6988 6989 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 6986 def update_model(params = {}, = {}) req = build_request(:update_model, params) req.send_request() end |
#update_request_validator(params = {}) ⇒ Types::RequestValidator
Updates a RequestValidator of a given RestApi.
7038 7039 7040 7041 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7038 def update_request_validator(params = {}, = {}) req = build_request(:update_request_validator, params) req.send_request() end |
#update_resource(params = {}) ⇒ Types::Resource
Changes information about a Resource resource.
7137 7138 7139 7140 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7137 def update_resource(params = {}, = {}) req = build_request(:update_resource, params) req.send_request() end |
#update_rest_api(params = {}) ⇒ Types::RestApi
Changes information about the specified API.
7220 7221 7222 7223 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7220 def update_rest_api(params = {}, = {}) req = build_request(:update_rest_api, params) req.send_request() end |
#update_stage(params = {}) ⇒ Types::Stage
Changes information about a Stage resource.
7315 7316 7317 7318 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7315 def update_stage(params = {}, = {}) req = build_request(:update_stage, params) req.send_request() end |
#update_usage(params = {}) ⇒ Types::Usage
Grants a temporary extension to the remaining quota of a usage plan associated with a specified API key.
7374 7375 7376 7377 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7374 def update_usage(params = {}, = {}) req = build_request(:update_usage, params) req.send_request() end |
#update_usage_plan(params = {}) ⇒ Types::UsagePlan
Updates a usage plan of a given plan Id.
7439 7440 7441 7442 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7439 def update_usage_plan(params = {}, = {}) req = build_request(:update_usage_plan, params) req.send_request() end |
#update_vpc_link(params = {}) ⇒ Types::VpcLink
Updates an existing VpcLink of a specified identifier.
7496 7497 7498 7499 |
# File 'gems/aws-sdk-apigateway/lib/aws-sdk-apigateway/client.rb', line 7496 def update_vpc_link(params = {}, = {}) req = build_request(:update_vpc_link, params) req.send_request() end |